Index: c/src/lib/libbsp/m68k/mvme162/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/m68k/mvme162/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -23,4 +23,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/m68k/mvme162/start/bspstart.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/m68k/mvme162/start/page_table.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspgetworkarea-default.c
Index: c/src/lib/libbsp/m68k/mvme167/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/m68k/mvme167/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -23,4 +23,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/m68k/mvme167/start/bspstart.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/m68k/mvme167/start/page_table.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
Index: c/src/lib/libbsp/m68k/uC5282/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/uC5282/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/m68k/uC5282/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -25,4 +25,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/m68k/uC5282/start/bspstart.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/setvec.c
Index: c/src/lib/libbsp/mips/csb350/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/csb350/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/mips/csb350/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -25,4 +25,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/mips/csb350/start/bspstart.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 # clock
Index: c/src/lib/libbsp/mips/hurricane/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/hurricane/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/mips/hurricane/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -24,4 +24,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/mips/hurricane/start/bspstart.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/mips/hurricane/start/inittlb.c
Index: c/src/lib/libbsp/mips/jmr3904/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/mips/jmr3904/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -23,4 +23,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/mips/jmr3904/start/bspstart.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 # clock
Index: c/src/lib/libbsp/mips/malta/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/malta/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/mips/malta/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -30,4 +30,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/mips/malta/start/bspreset.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/mips/malta/start/inittlb.c
Index: c/src/lib/libbsp/mips/rbtx4925/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/rbtx4925/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/mips/rbtx4925/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -26,4 +26,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/mips/rbtx4925/start/bspstart.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/mips/rbtx4925/start/inittlb.c
Index: c/src/lib/libbsp/mips/rbtx4938/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/rbtx4938/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/mips/rbtx4938/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -26,4 +26,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/mips/rbtx4938/start/bspstart.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/mips/rbtx4938/start/inittlb.c
Index: c/src/lib/libbsp/moxie/moxiesim/Makefile.am
===================================================================
--- c/src/lib/libbsp/moxie/moxiesim/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/moxie/moxiesim/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -27,4 +27,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspreset-empty.c
 # clock
Index: c/src/lib/libbsp/nios2/nios2_iss/Makefile.am
===================================================================
--- c/src/lib/libbsp/nios2/nios2_iss/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/nios2/nios2_iss/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -25,4 +25,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspgetworkarea-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/nios2/nios2_iss/start/setvec.c
Index: c/src/lib/libbsp/no_cpu/no_bsp/Makefile.am
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/no_cpu/no_bsp/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -19,4 +19,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/no_cpu/no_bsp/start/setvec.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspreset-empty.c
Index: c/src/lib/libbsp/or1k/generic_or1k/Makefile.am
===================================================================
--- c/src/lib/libbsp/or1k/generic_or1k/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/or1k/generic_or1k/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -41,4 +41,5 @@
 # Shared
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspfatal-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspgetworkarea-default.c
Index: c/src/lib/libbsp/powerpc/beatnik/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/beatnik/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/powerpc/beatnik/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -53,4 +53,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/beatnik/start/bspclean.c
 
Index: c/src/lib/libbsp/powerpc/gen5200/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/powerpc/gen5200/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -86,4 +86,5 @@
 # startup
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspfatal-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspgetworkarea-default.c
Index: c/src/lib/libbsp/powerpc/gen83xx/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/gen83xx/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/powerpc/gen83xx/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -32,4 +32,5 @@
 # startup
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/shared/start/tictac.c
Index: c/src/lib/libbsp/powerpc/haleakala/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/haleakala/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/powerpc/haleakala/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -24,4 +24,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/haleakala/start/bspstart.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspgetworkarea-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -44,4 +44,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspfatal-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/motorola_powerpc/start/bspreset.c
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -34,4 +34,5 @@
 # startup
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspfatal-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/stackalloc.c
Index: c/src/lib/libbsp/powerpc/mpc8260ads/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mpc8260ads/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/powerpc/mpc8260ads/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -37,4 +37,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/mpc8260ads/start/bspstart.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/mpc8260ads/start/cpuinit.c
Index: c/src/lib/libbsp/powerpc/mvme3100/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mvme3100/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/powerpc/mvme3100/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -44,4 +44,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspfatal-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspreset-empty.c
Index: c/src/lib/libbsp/powerpc/mvme5500/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mvme5500/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/powerpc/mvme5500/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -22,4 +22,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/mvme5500/start/bspclean.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/mvme5500/start/bspreset.c
Index: c/src/lib/libbsp/powerpc/psim/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/psim/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/powerpc/psim/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -27,4 +27,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspgetworkarea-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspreset-empty.c
Index: c/src/lib/libbsp/powerpc/qemuppc/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/qemuppc/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/powerpc/qemuppc/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -28,4 +28,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/qemuppc/start/cmain.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/qemuppc/start/bspstart.c
Index: c/src/lib/libbsp/powerpc/qoriq/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/qoriq/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/powerpc/qoriq/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -36,4 +36,5 @@
 # Startup
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspfatal-default.c
Index: c/src/lib/libbsp/powerpc/ss555/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/ss555/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/powerpc/ss555/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -28,4 +28,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/ss555/start/iss555.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspgetworkarea-default.c
Index: c/src/lib/libbsp/powerpc/t32mppc/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/t32mppc/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/powerpc/t32mppc/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -27,4 +27,5 @@
 # Startup
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspfatal-default.c
Index: c/src/lib/libbsp/powerpc/tqm8xx/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/tqm8xx/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/powerpc/tqm8xx/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -45,4 +45,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/tqm8xx/start/bspgetworkarea.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/tqm8xx/start/mmutlbtab.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/tqm8xx/start/cpuinit.c
Index: c/src/lib/libbsp/powerpc/virtex/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/virtex/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/powerpc/virtex/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -35,4 +35,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/virtex/start/bspstart.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/shared/start/bsp-start-zero.S
Index: c/src/lib/libbsp/powerpc/virtex4/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/virtex4/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/powerpc/virtex4/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -29,4 +29,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/virtex4/start/bspstart.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/shared/start/memcpy.c
Index: c/src/lib/libbsp/powerpc/virtex5/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/virtex5/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/powerpc/virtex5/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -28,4 +28,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/virtex5/start/bspstart.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/shared/start/memcpy.c
Index: c/src/lib/libbsp/riscv/griscv/Makefile.am
===================================================================
--- c/src/lib/libbsp/riscv/griscv/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/riscv/griscv/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -41,4 +41,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspfatal-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspgetworkarea-default.c
 
Index: c/src/lib/libbsp/riscv/riscv/Makefile.am
===================================================================
--- c/src/lib/libbsp/riscv/riscv/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/riscv/riscv/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -40,4 +40,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspfatal-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bsp-fdt.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspgetworkarea-default.c
Index: c/src/lib/libbsp/sh/gensh1/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/gensh1/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/sh/gensh1/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -25,4 +25,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/sh/shared/start/bsphwinit.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES +=../../../../../../bsps/sh/gensh1/clock/ckinit.c
 librtemsbsp_a_SOURCES +=../../../../../../bsps/sh/gensh1/clock/delay.c
Index: c/src/lib/libbsp/sh/gensh2/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/gensh2/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/sh/gensh2/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -25,4 +25,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspfatal-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/sh/shared/start/bsphwinit.c
Index: c/src/lib/libbsp/sh/gensh4/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/gensh4/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/sh/gensh4/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -24,4 +24,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/sh/shared/start/bsphwinit.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspreset-empty.c
Index: c/src/lib/libbsp/sh/shsim/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/shsim/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/sh/shsim/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -23,4 +23,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/sh/shared/start/bsphwinit.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/sh/shsim/start/sysexit.c
Index: c/src/lib/libbsp/sparc/erc32/Makefile.am
===================================================================
--- c/src/lib/libbsp/sparc/erc32/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/sparc/erc32/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -26,4 +26,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/sparc/erc32/start/bspstart.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/sparc/erc32/start/setvec.c
Index: c/src/lib/libbsp/sparc/leon2/Makefile.am
===================================================================
--- c/src/lib/libbsp/sparc/leon2/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/sparc/leon2/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -28,4 +28,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/sparc/shared/start/bspgetworkarea.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/sparc/leon2/start/setvec.c
Index: c/src/lib/libbsp/sparc/leon3/Makefile.am
===================================================================
--- c/src/lib/libbsp/sparc/leon3/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/sparc/leon3/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -29,4 +29,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/sparc/leon3/start/bspstart.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/sparc/shared/start/bspgetworkarea.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
Index: c/src/lib/libbsp/sparc64/niagara/Makefile.am
===================================================================
--- c/src/lib/libbsp/sparc64/niagara/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/sparc64/niagara/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -22,4 +22,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspgetworkarea-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspstart-empty.c
Index: c/src/lib/libbsp/sparc64/usiii/Makefile.am
===================================================================
--- c/src/lib/libbsp/sparc64/usiii/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/sparc64/usiii/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -30,4 +30,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspgetworkarea-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspreset-empty.c
Index: c/src/lib/libbsp/v850/gdbv850sim/Makefile.am
===================================================================
--- c/src/lib/libbsp/v850/gdbv850sim/Makefile.am	(revision bc6ffc3be8c6001c1e0a289ec2b03a4b55cf596f)
+++ c/src/lib/libbsp/v850/gdbv850sim/Makefile.am	(revision 7480c346985e8f22c4eae602d17995dee34adad4)
@@ -22,4 +22,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspstart-empty.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/gettargethash-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/v850/gdbv850sim/start/bspreset.c
